This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 995731 - [nl_BE] and [fr_BE] Belgian locales missing from anaconda
[nl_BE] and [fr_BE] Belgian locales missing from anaconda
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-10 12:22 EDT by info@kobaltwit.be
Modified: 2013-09-13 04:22 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-12 17:54:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description info@kobaltwit.be 2013-08-10 12:22:05 EDT
Description of problem:
When installing Fedora 19, I wanted to set my locale to Belgian (Dutch), but this is missing from the list. Similarly, Belgian (French) is missing as well.

There is Dutch (Dutch), which would give me the proper language, but not the proper keyboard layout. Belgian keyboards are azerty, while Dutch keyboards are querty.

The same goes for french speaking Belgian users. While French (French) will give them the proper language during installation, the keyboards in France have a different layout then the keyboards in Belgium (both azerty, but some of the punctuation keys are in different locations).

Version-Release number of selected component (if applicable):
anaconda-19.30.13-1.fc19.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Install Fedora from dvd

Actual results:
The above locales are not in the list of installation languages, and hence the proper keyboard layout is not automatically set.

Expected results:
Have the two locales available in the list of installation languages, and the Belgian keyboard enabled when either language is chosen in combination with the use native keyboard check box.

Additional info:
The correct keyboard layout can be changed later on the spokes menu, but that's an extra step that can easily be avoided by adding the correct locales.
Comment 1 Chris Lumens 2013-08-21 15:04:32 EDT
Can you please test again with an F20 alpha or beta?  We're using a new module to get this information now, and it's providing much longer lists to us.  Thanks.
Comment 2 David Shea 2013-09-12 17:54:33 EDT
The new Welcome screen provides this. Choosing either Dutch or French on the language list in the right column provides Belgian options for the locale in the right column.
Comment 3 info@kobaltwit.be 2013-09-13 04:22:43 EDT
Thank you for verifying. I never got around this myself, although I did have the intention to do so.

Note You need to log in before you can comment on or make changes to this bug.